> ## Documentation Index
> Fetch the complete documentation index at: https://docs.standardmetrics.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get information reports

> Retrieve all information reports associated with the firm. Includes submitted documents, metrics, and outstanding requirements.

**Permissions:**
- User must have VIEWER, ADMIN, or EDITOR role.



## OpenAPI

````yaml get /information-reports/
openapi: 3.0.1
info:
  title: Standard Metrics API Documentation
  description: >-
    Welcome to Standard Metric's API docs!


    To use our API you will need to make an OAuth appliction (or use an existing
    one) in the developer settings tab on your settings page and then exchange
    your client id and secret for an access token (via the `/o/token/` endpoint.
    This token can then be sent in the `Authorization` header to authenticate
    your requests to our api. See below for an example.


    All endpoints are paginated and will return a maximum of 100 results per
    page. See the endpoints below and example responses for more details on
    pagination parameters. A maximum of 120 requests per minute can be made to
    our API.


    Authentication example (with python):

    ```>>> import base64

    >>> import base64

    >>> client_id = "YOUR_CLIENT_ID"

    >>> client_secret = "YOUR_CLIENT_SECRET"

    >>> credential = f"{client_id}:{client_secret}"

    >>> base64.b64encode(credential.encode("utf-8"))

    b'ENCODED_CREDENTIAL'


    You can now exchange this credential for an access token, eg:


    curl -X POST \
        -H "Authorization: Basic ENCODED_CREDENTIAL" \
        -H "Cache-Control: no-cache" \
        -H "Content-Type: application/x-www-form-urlencoded" \
        "https://api.standardmetrics.io/o/token/" \
        -d "grant_type=client_credentials"

    You will receive the following response:


    {
        "access_token": "YOUR_ACCESS_TOKEN",
        "expires_in": 36000,
        "token_type": "Bearer",
        "scope": "read write"
    }


    Make sure not to forget to prepend "Bearer " to your access token in the
    Authorization header while making requests.
  version: '1.0'
servers:
  - url: https://api.standardmetrics.io/v1
security:
  - Bearer: []
paths:
  /information-reports/:
    get:
      tags:
        - information-reports
      summary: Get information reports
      description: >-
        Retrieve all information reports associated with the firm. Includes
        submitted documents, metrics, and outstanding requirements.


        **Permissions:**

        - User must have VIEWER, ADMIN, or EDITOR role.
      operationId: information-reports_list
      parameters:
        - name: page
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: company_id
          in: query
          description: ID of a company to filter
          schema:
            type: string
        - name: information_request_id
          in: query
          description: ID of an Information Request to filter
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                required:
                  - count
                  - results
                type: object
                properties:
                  count:
                    type: integer
                  next:
                    type: string
                    format: uri
                    nullable: true
                  previous:
                    type: string
                    format: uri
                    nullable: true
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/InformationReport'
components:
  schemas:
    InformationReport:
      required:
        - company_id
        - id
        - information_request_id
      type: object
      properties:
        id:
          title: Id
          type: string
        company_id:
          title: Company id
          type: string
        submitted_at:
          title: Submitted at
          type: string
          format: date-time
          nullable: true
        information_request_id:
          title: Information request id
          type: string
        documents:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/Document'
        documents_completed:
          title: Documents completed
          type: integer
          readOnly: true
        documents_missing:
          title: Documents missing
          type: integer
          readOnly: true
        metrics:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/Metric'
        metrics_completed:
          title: Metrics completed
          type: integer
          readOnly: true
        metrics_missing:
          title: Metrics missing
          type: integer
          readOnly: true
        status:
          title: Status
          type: string
          readOnly: true
    Document:
      required:
        - id
        - requested_document
      type: object
      properties:
        id:
          title: Id
          type: string
        status:
          title: Status
          type: string
          readOnly: true
        requested_document:
          title: Requested document
          minLength: 1
          type: string
    Metric:
      required:
        - id
      type: object
      properties:
        id:
          title: Id
          type: string
        date:
          title: Date
          type: string
          readOnly: true
        name:
          title: Name
          type: string
          readOnly: true
        status:
          title: Status
          type: string
          readOnly: true
        time_period:
          title: Time period
          type: string
          readOnly: true
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Your valid bearer token. All Auth tokens persist for all requests. Make
        sure to replace Client Credential `Basic` tokens with `Bearer` tokens
        after retrieving your bearer token. Go to the API Reference/Setup, User
        Guides/Initial Setup, or API Reference/Get API Access Token page to get
        your token.

````